Package org.bukkit.plugin

# Class UnknownDependencyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.plugin.UnknownDependencyException

All Implemented Interfaces:
  `Serializable`

public class UnknownDependencyException extends RuntimeException
Thrown when attempting to load an invalid Plugin file

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownDependencyException()`
Constructs a new UnknownDependencyException
`UnknownDependencyException(String message)`
Constructs a new UnknownDependencyException with the given message
`UnknownDependencyException(Throwable throwable)`
Constructs a new UnknownDependencyException based on the given Exception
`UnknownDependencyException(Throwable throwable, String message)`
Constructs a new UnknownDependencyException based on the given Exception
`UnknownDependencyException(Collection<String> missingDependencies, @NotNull String pluginName)`
Create a new `UnknownDependencyException` with a message informing about which dependencies are missing for what plugin.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownDependencyException

public UnknownDependencyException(Throwable throwable)
Constructs a new UnknownDependencyException based on the given Exception

Parameters:
  `throwable` - Exception that triggered this Exception

### UnknownDependencyException

public UnknownDependencyException(String message)
Constructs a new UnknownDependencyException with the given message

Parameters:
  `message` - Brief message explaining the cause of the exception

### UnknownDependencyException

public UnknownDependencyException(@NotNull Collection<String> missingDependencies, @NotNull @NotNull String pluginName)
Create a new `UnknownDependencyException` with a message informing about which dependencies are missing for what plugin.

Parameters:
  `missingDependencies` - missing dependencies
  `pluginName` - plugin which is missing said dependencies

### UnknownDependencyException

public UnknownDependencyException(Throwable throwable, String message)
Constructs a new UnknownDependencyException based on the given Exception

Parameters:
  `message` - Brief message explaining the cause of the exception
  `throwable` - Exception that triggered this Exception

### UnknownDependencyException

public UnknownDependencyException()
Constructs a new UnknownDependencyException